IEEE80211_GET_TKIP_P(9)

NAME
ieee80211_get_tkip_p2k - get a TKIP phase 2 key

SYNOPSIS

void ieee80211_get_tkip_p2k(struct ieee80211_key_conf * keyconf, struct sk_buff * skb, u8 * p2k);

ARGUMENTS

keyconf
    the parameter passed with the set key

skb
    the packet to take the IV32/IV16 values from that will be encrypted with this key

p2k
    a buffer to which the key will be written, 16 bytes

DESCRIPTION

This function computes the TKIP RC4 key for the IV values in the packet.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT